<!DOCTYPE html>
<html>

<head>
    <!--
      JavaScript 6th Edition
      Chapter 7
      Hands-on Project 7-2

      Author: Daniel Findlay
      Date: April 14, 2019  

      Filename: index.htm
   -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <title>Hands-on Project 7-2</title>
    <link rel="stylesheet" href="styles.css" />
    <script src="modernizr.custom.05819.js"></script>
</head>

<body>
    <header>
        <h1>
            Hands-on Project 7-2
        </h1>
    </header>
    <article>
        <h2>Day of the Week Lookup</h2>
        <form>
            <fieldset>
                <label for="dateSelected">
                    Select a date
                </label>
                <input type="date" id="dateSelected" />
            </fieldset>
            <fieldset class="button">
                <button type="button" id="determineDay">Find day</button>
            </fieldset>
            <fieldset>
                <p>Day of the Week</p>
                <p id="day"></p>
            </fieldset>
        </form>
    </article>
    <script>
    var selection = document.getElementById("dateSelected");
    var result = document.getElementById("day");
    var allDaysOfWeek = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
    var selectedDate;
    var dayOfWeekNumber;
    var dayOfWeekName;

    function lookUpDay() {
        selectedDate = new Date(selection.value);
        selectedDate.setUTCHours(12);
        dayOfWeekNumber = selectedDate.getUTCDay();
        dayOfWeekName = allDaysOfWeek[dayOfWeekNumber];
        result.innerHTML = dayOfWeekName;
    }

    function createEventListener() {
        var submitButton = document.getElementById("determineDay");

        if (submitButton.addEventListener) {
            submitButton.addEventListener("click", lookUpDay, false);
        } else if (submitButton.attachEvent) {
            submitButton.attachEvent("onclick", lookUpDay);
        }
        document.getElementById("dateSelected").value = "";
        document.getElementById("day").innerHTML = "";
    }
    if (window.addEventListener) {
        window.addEventListener("load", createEventListener, false);
    } else if (window.attachEvent) {
        window.attachEvent("onload", createEventListener);
    }
    </script>
</body>

</html>